Bug 238028 - [NEW PORT] x11/rofi-calc: Do live calculations in rofi
Summary: [NEW PORT] x11/rofi-calc: Do live calculations in rofi
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Steve Wills
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2019-05-21 15:47 UTC by Alexander Sieg
Modified: 2019-05-30 03:21 UTC (History)
2 users (show)

See Also:


Attachments
patch file (1.53 KB, patch)
2019-05-21 15:47 UTC, Alexander Sieg
no flags Details | Diff
updated patch file (1.56 KB, patch)
2019-05-22 11:35 UTC, Alexander Sieg
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Alexander Sieg 2019-05-21 15:47:04 UTC
Created attachment 204516 [details]
patch file
Comment 1 Mateusz Piotrowski freebsd_committer 2019-05-22 10:38:16 UTC
Shouldn't rofi be a run dependency? I've checked myself yet.
Comment 2 Alexander Sieg 2019-05-22 11:35:03 UTC
Created attachment 204537 [details]
updated patch file

Yes it is needed as a BUILD and RUN dependency. I've update the patch file to reflect this.
Comment 3 commit-hook freebsd_committer 2019-05-30 03:20:57 UTC
A commit references this bug:

Author: swills
Date: Thu May 30 03:20:05 UTC 2019
New revision: 503032
URL: https://svnweb.freebsd.org/changeset/ports/503032

Log:
  x11/rofi-calc: create port

  rofi plugin that uses libqalculate's qalc to parse natural language
  input and provide results.

  Since this uses libqalculate's amazing qalc you can try natural language
  queries such 500 + 25% or 5000 EUR to USD or 150 to hex. It can also
  solve linear equations on the fly. Try 60x + 30 = 50, for instance.

  WWW: https://github.com/svenstaro/rofi-calc

  PR:		238028
  Submitted by:	Alexander Sieg <alex@xanderio.de>

Changes:
  head/x11/Makefile
  head/x11/rofi-calc/
  head/x11/rofi-calc/Makefile
  head/x11/rofi-calc/distinfo
  head/x11/rofi-calc/pkg-descr
Comment 4 Steve Wills freebsd_committer 2019-05-30 03:21:11 UTC
Committed, thanks!